- Qt 5.15
- Qt SCXML
- C++ Classes
- ParameterInfo
- Qt 5.15.19 Reference Documentation

# ParameterInfo Struct

struct QScxmlExecutableContent::ParameterInfo

The ParameterInfo class represents a parameter to a service invocation. More...

Header: | #include <ParameterInfo>
qmake: | QT += scxml
Since: | Qt 5.8

This struct was introduced in Qt 5.8.

- List of all members, including inherited members

## Public Variables

EvaluatorId | expr
StringId | location
StringId | name

## Detailed Description

## Member Variable Documentation

### EvaluatorId ParameterInfo::expr

This variable holds the expression to be evaluated

### StringId ParameterInfo::location

This variable holds the data model name of the item to be passed as a parameter

### StringId ParameterInfo::name

This variable holds the name of the parameter